curl -X GET https://api.handle.ng/v1/charges/verify/ORD-1092 \
-H "Authorization: Bearer sk_live_..."
{
"status": "success",
"data": {
"reference": "ORD-1092",
"amount": 1500000,
"currency": "NGN",
"fee": 30000,
"netAmount": 1470000,
"status": "SUCCESS",
"channel": "handle_push",
"customer": {
"handle": "@ayodeji",
"phone": "08012345678",
"name": "Ayodeji Peters"
},
"settlement": {
"status": "SETTLED",
"settledAt": "2026-09-21T08:26:15Z"
},
"paidAt": "2026-09-21T08:25:58Z"
}
}
Charges
Verify Transaction
Server-to-server confirmation of transaction status and settlement details
GET
/
v1
/
charges
/
verify
/
{reference}
curl -X GET https://api.handle.ng/v1/charges/verify/ORD-1092 \
-H "Authorization: Bearer sk_live_..."
{
"status": "success",
"data": {
"reference": "ORD-1092",
"amount": 1500000,
"currency": "NGN",
"fee": 30000,
"netAmount": 1470000,
"status": "SUCCESS",
"channel": "handle_push",
"customer": {
"handle": "@ayodeji",
"phone": "08012345678",
"name": "Ayodeji Peters"
},
"settlement": {
"status": "SETTLED",
"settledAt": "2026-09-21T08:26:15Z"
},
"paidAt": "2026-09-21T08:25:58Z"
}
}
Path Parameters
Response
Show properties
Show properties
curl -X GET https://api.handle.ng/v1/charges/verify/ORD-1092 \
-H "Authorization: Bearer sk_live_..."
{
"status": "success",
"data": {
"reference": "ORD-1092",
"amount": 1500000,
"currency": "NGN",
"fee": 30000,
"netAmount": 1470000,
"status": "SUCCESS",
"channel": "handle_push",
"customer": {
"handle": "@ayodeji",
"phone": "08012345678",
"name": "Ayodeji Peters"
},
"settlement": {
"status": "SETTLED",
"settledAt": "2026-09-21T08:26:15Z"
},
"paidAt": "2026-09-21T08:25:58Z"
}
}